SystemOrganization addCategory: #GODEmail!

Object subclass: #GMReceiver
	instanceVariableNames: 'hostname password user'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODEmail'!

!GMReceiver class methodsFor: 'instance creation' stamp: 'LFSA 9/28/2014 11:46'!
connectTo: hostname identifiedAs: user password: password
	^(((self new hostname: hostname) user: user) password: password)! !

!GMReceiver methodsFor: 'accessing' stamp: 'LFSA 9/28/2014 11:31'!
hostname
	^hostname! !

!GMReceiver methodsFor: 'accessing' stamp: 'LFSA 9/28/2014 11:30'!
hostname: aString
	hostname := aString! !

!GMReceiver methodsFor: 'accessing' stamp: 'LFSA 9/28/2014 11:31'!
password: aString
	password := aString! !

!GMReceiver methodsFor: 'actions' stamp: 'gfg 9/25/2014 17:24'!
receive
	"Connects to the server, receives new emails and converts them into a list of GodData"

	^OrderedCollection new.! !

!GMReceiver methodsFor: 'accessing' stamp: 'LFSA 9/28/2014 11:31'!
user
	^user! !

!GMReceiver methodsFor: 'accessing' stamp: 'LFSA 9/28/2014 11:31'!
user: aString
	user := aString! !

Object subclass: #GMSender
	instanceVariableNames: 'hostname password user'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODEmail'!

!GMSender class methodsFor: 'instance creation' stamp: 'LFSA 9/28/2014 11:46'!
connectTo: hostname identifiedAs: user password: password
	^(((self new hostname: hostname) user: user) password: password)! !

!GMSender methodsFor: 'accessing' stamp: 'LFSA 9/28/2014 11:30'!
hostname
	^hostname! !

!GMSender methodsFor: 'accessing' stamp: 'LFSA 9/28/2014 11:28'!
hostname: aString
	hostname := aString! !

!GMSender methodsFor: 'accessing' stamp: 'LFSA 9/28/2014 11:29'!
password: aString
	password := aString! !

!GMSender methodsFor: 'actions' stamp: 'LFSA 9/28/2014 11:32'!
send: data to: recipient
	"Sends the GODData contained in data to recipient (a string with an email address)"

	^true.! !

!GMSender methodsFor: 'accessing' stamp: 'LFSA 9/28/2014 11:30'!
user
	^user! !

!GMSender methodsFor: 'accessing' stamp: 'LFSA 9/28/2014 11:30'!
user: aString
	user := aString! !
